Skip links
Arpine Maghakyan

Arpine Maghakyan

Security Researcher of RedRays.

PY-US Missing authorization check in garnishments, SAP security note 1591831

Description

An authenticated user can use functions of Garnishment Letters Reports (RPCPL4U0, RPCPL6U0) to which access should be restricted. This may result in an escalation of privileges.

Available fix and Supported packages

  • SAP_HR | 46C | 46C
  • SAP_HRCUS | 470 | 470
  • SAP_HRCUS | 500 | 500
  • SAP_HRCUS | 600 | 600
  • SAP_HRCUS | 604 | 604
  • SAP_HR 46C | SAPKE46CH9 |
  • SAP_HR 46C | SAPKE46CI4 |
  • SAP_HRCUS 600 | SAPK-60073INSAPHRCUS |
  • SAP_HRCUS 604 | SAPK-60439INSAPHRCUS |
  • SAP_HRCUS 470 | SAPK-470C4INSAPHRCUS |
  • SAP_HRCUS 500 | SAPK-50090INSAPHRCUS |
  • SAP_HRCUS 604 | SAPK-60444INSAPHRCUS |
  • SAP_HRCUS 600 | SAPK-60078INSAPHRCUS |
  • SAP_HRCUS 470 | SAPK-470C9INSAPHRCUS |
  • SAP_HRCUS 500 | SAPK-50095INSAPHRCUS |

Affected component

    PY-US
    USA

CVSS

Score: 0

Exploit

Detailed vulnerability information added to RedRays Security Platform. Contact [email protected] for details.

URL

https://launchpad.support.sap.com/#/notes/1591831

TAGS

#Authorization-authorization-check-RPCPL4U0-RPCPL6U0

More to explorer

SAP Cloud Connector Certificate Validation Issue

Date of Release: February 13, 2024 Advisory ID: CVE-2024-25642 Affected Software: SAP Cloud Connector Versions Affected: 2.15.0 to 2.16.1 Vulnerability Summary:A critical vulnerability,

Protect Your SAP with RedRays Security Platform

Explore the Power of Our Scanner with an Interactive Prototype Below